opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::MserFeatureDetector Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::MserFeatureDetector:

## Public Member Functions

| MserFeatureDetector (CvMSERParams params=cvMSERParams())
| MserFeatureDetector (int delta, int minArea, int maxArea, double maxVariation, double minDiversity, int maxEvolution, double areaThreshold, double minMargin, int edgeBlurSize)
virtual void | read (const FileNode &fn)
virtual void | write (FileStorage &fs) const
Public Member Functions inherited from cv::FeatureDetector
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual | ~FeatureDetector ()

## Protected Member Functions

virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Protected Attributes

MSER | mser

## Additional Inherited Members

Static Public Member Functions inherited from cv::FeatureDetector
static Ptr< FeatureDetector > | create (const string &detectorType)
Static Protected Member Functions inherited from cv::FeatureDetector
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Constructor & Destructor Documentation

cv::MserFeatureDetector::MserFeatureDetector | ( | CvMSERParams | params = `cvMSERParams()` | ) |

cv::MserFeatureDetector::MserFeatureDetector | ( | int | delta,
|  | int | minArea,
|  | int | maxArea,
|  | double | maxVariation,
|  | double | minDiversity,
|  | int | maxEvolution,
|  | double | areaThreshold,
|  | double | minMargin,
|  | int | edgeBlurSize
| ) |  |

## Member Function Documentation

virtual void cv::MserFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const

protected virtual

Implements cv::FeatureDetector.

virtual void cv::MserFeatureDetector::read | ( | const FileNode & | fn | ) |

virtual

Reimplemented from cv::FeatureDetector.

virtual void cv::MserFeatureDetector::write | ( | FileStorage & | fs | ) | const

virtual

Reimplemented from cv::FeatureDetector.

## Member Data Documentation

MSER cv::MserFeatureDetector::mser

protected

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp